<?php
/************************************************************************/
/* vkpMx 2.1  Content Management System                                 */
/* ==================================================================== */
/* Copyright (C) 2004 by the vkpMx & pragmaMx Developer Team            */
/* email:         team@pragmamx.org                                     */
/* homepage:      http://www.pragmamx.de                                */
/* further sites: http://www.pragmaMx.org,                              */
/*            http://www.marx-city.de, http://www.genutec-studios.de,   */
/*            http://www.shiba-design.de, http://www.power-maax.de      */
/* ==================================================================== */
/* Based on:                                                            */
/* PHP-NUKE Web Portal System - http://phpnuke.org/                     */
/* Thatware - http://thatware.org/                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

/***********************************************************************/
/* Modified by Louis Lecaroz, Wednesday, August 25, 2004               */
/*           to add a cache feature to accelarate website			   */
/*			 louis.lecaroz@le-resistant.com							   */
/***********************************************************************/

/**
 * Modified by JoergK, pragmaMx Developer Team, http://www.pragmamx.org
 * Date: 26.03.2008
 *
 * Wrong rendering of <marquee> by FireFox blocked by using <div> around output
 */

defined('mxMainFileLoaded') or die('access denied');

// Begin Konfig
if (defined('PMX_VERSION')) { // Wenn pragmaMx >= 0.1.10, dann das Cache-Verzeichnis benutzen
    $rdfcache     = 'dynadata/cache/rdfcache.txt'; // name file for the cache to accelerate viewing
} else {
    $rdfcache     = 'rdfcache.txt'; // name file for the cache to accelerate viewing
}
$cacherefresh = 1800; // number of seconds to refresh the cache
$rdfsource    = 'http://www.heise.de/newsticker/heise.rdf';
$rdfsource2   = 'http://www.tagesschau.de/newsticker.rdf';
$rdfsource3   = '';
$rdfsource4   = '';
$rdfname1     = 'Heise';
$rdfname2     = 'Tagesschau'; // News-Feed-Name
$rdfname3     = '';
$rdfname4     = '';
$homelink1    = 'http://www.heise.de/';
$homelink2    = 'http://www.tagesschau.de/'; // Newsfeed-url Homelink
$homelink3    = '';
$homelink4    = '';
$scrollen     = 1; // 1 ein, 0 aus // srolling 1=on 0 =off
$richtung     = 'up'; // Richtug/Direction up down left oder/or right, wenn/if $scrollen = 1
$speed        = 1; // Scrollgeschwindigkeit wenn / scrollig speed if $scrollen = 1
$warte        = 10; // Scrollverzoegerung wenn / scroll delay if $scrollen = 1
// End Konfig

$thisfile = basename(__FILE__);
$content = '';
if (file_exists($rdfcache)) {
    ini_set('allow_url_fopen', 'On');
    $rdffilesize = 0;
    $rdffilemodified = 0;
    if ($stats = stat($rdfcache)) {
        $rdffilesize = intval($stats[7]);
        $rdffilemodified = intval($stats[9]);
    }
    if ($rdffilesize && ($fd = fopen($rdfcache,'r'))) {
        if (!$rdffilemodified || (time() - $rdffilemodified) < $cacherefresh) {
            $content .= fread($fd, $rdffilesize);
        }
        fclose($fd);
    }
    ini_restore('allow_url_fopen');
}
if ($content == '') {
    If (($richtung == 'left') or ($richtung == 'right')) {
        $hoehe = 20;
        $waagerecht = 1;
    } else {
        $hoehe = 200;
        $waagerecht = 0;
    }
    if ($waagerecht == 0) {
        $content .= "\n" . '<!-- ' . $thisfile . ' output end -->' . "\n";
        if ($scrollen == 1) {
            $content .= '<div style="width: 98%; height: 200px; text-align: left; margin-top: 10px; margin-left: 5px; margin-right: 5px;">';
            $content .= '<a name="scrollingCode"></a><marquee behavior="scroll" align="left" direction="' . $richtung . '" height="' . $hoehe . '" scrollamount="' . $speed . '" scrolldelay="' . $warte . '" onmouseover="this.stop()" onmouseout="this.start()">';
        } else {
            $content .= '<div style="width: 98%; text-align: left; margin-top: 10px; margin-left: 5px; margin-right: 5px;">';
        }
        $content .= '&nbsp;<b>"' . $rdfname1 . '" NEWS</b>&nbsp;<br /><br />';
        ini_set('allow_url_fopen', 'On');
        $data = implode('', file($rdfsource));
        ini_restore('allow_url_fopen');
        preg_match_all("|<item>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
        if (count($items[1]) == 0) {
            preg_match_all("|<item .*>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
        }
        for ($i = 0; $i < count($items[1]); $i++) {
            preg_match_all("|<title>(.*)</title>(.*)<link>(.*)</link>|Uism", $items[1][$i], $regs, PREG_PATTERN_ORDER);
            $content .= '<a href="' . (htmlspecialchars($regs[3][0])) . '" target="_blank">' . (htmlspecialchars($regs[1][0])) . '</a><br /><br />';
        }
        $content .= '<a href="' . $homelink1 . '" target="_blank">' . _HREADMORE . '</a><br /><br />';
        if (!$rdfsource2 == '') {
            $content .= '&nbsp;<b>"' . $rdfname2 . '" News</b>&nbsp;<br /><br />';
            ini_set('allow_url_fopen', 'On');
            $data = implode('', file($rdfsource2));
            ini_restore('allow_url_fopen');
            preg_match_all("|<item>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            If (count($items[1]) == 0) {
                preg_match_all("|<item .*>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            }
            for ($i = 0; $i < count($items[1]); $i++) {
                preg_match_all("|<title>(.*)</title>(.*)<link>(.*)</link>|Uism", $items[1][$i], $regs, PREG_PATTERN_ORDER);
                $content .= '<a href="' . (htmlspecialchars($regs[3][0])) . '" target="_blank">' . (htmlspecialchars($regs[1][0])) . '</a><br /><br />';
            }
            $content .= '<a href="' . $homelink2 . '" target="_blank">' . _HREADMORE . '</a><br /><br />';
        }
        if (!$rdfsource3 == ''){
            $content .= '&nbsp;<b>"' . $rdfname3 . '" NEWS</b>&nbsp;<br /><br />';
            ini_set('allow_url_fopen', 'On');
            $data = implode('', file($rdfsource3));
            ini_restore('allow_url_fopen');
            preg_match_all("|<item>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            if (count($items[1]) == 0) {
                preg_match_all("|<item .*>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            }
            for ($i = 0; $i < count($items[1]); $i++) {
                preg_match_all("|<title>(.*)</title>(.*)<link>(.*)</link>|Uism", $items[1][$i], $regs, PREG_PATTERN_ORDER);
                $content .= '<a href="' . (htmlspecialchars($regs[3][0])) . '" target="_blank">' . (htmlspecialchars($regs[1][0])) . '</a><br /><br />';
            }
            $content .= '<a href="' . $homelink3 . '" target="_blank" >' . _HREADMORE . '</a><br /><br />';
        }
        if (!$rdfsource4 == '') {
            $content .= '&nbsp;<b>"' . $rdfname4 . '" NEWS</b>&nbsp;<br /><br />';
            ini_set('allow_url_fopen', 'On');
            $data = implode('', file($rdfsource4));
            ini_restore('allow_url_fopen');
            preg_match_all("|<item>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            if (count($items[1]) == 0) {
                preg_match_all("|<item .*>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            }
            for ($i = 0; $i < count($items[1]); $i++) {
                preg_match_all("|<title>(.*)</title>(.*)<link>(.*)</link>|Uism", $items[1][$i], $regs, PREG_PATTERN_ORDER);
                $content .= '<a href="' . (htmlspecialchars($regs[3][0])) . '" target="_blank">' . (htmlspecialchars($regs[1][0])) . '</a><br /><br />';
            }
            $content .= '<a href="' . $homelink4 . '" target="_blank" >' . _HREADMORE . '</a><br /><br />';
        }
    } else {
        $content .= "\n" . '<!-- ' . $thisfile . ' output start -->' . "\n";
        if ($scrollen == 1) {
            $content .= '<div style="width: 98%; height: 200px; text-align: left; margin-top: 10px; margin-left: 5px; margin-right: 5px;">';
            $content .= '<a name="scrollingCode"></a><marquee behavior="scroll" align="center" direction="' . $richtung . '" height="' . $hoehe . '" scrollamount="' . $speed . '" scrolldelay="' . $warte . '" onmouseover="this.stop()" onmouseout="this.start()">';
        } else {
            $content .= '<div style="width: 98%; text-align: left; margin-top: 10px; margin-left: 5px; margin-right: 5px;">';
        }
        $content .= '--------&nbsp;<b>' . $rdfname1 . '</b> NEWS&nbsp;----------&nbsp;&nbsp;**&nbsp;&nbsp;';
        ini_set('allow_url_fopen', 'On');
        $data = implode('', file($rdfsource));
        ini_restore('allow_url_fopen');
        preg_match_all("|<item>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
        if (count($items[1]) == 0) {
            preg_match_all("|<item .*>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
        }
        for ($i = 0; $i < count($items[1]); $i++) {
            preg_match_all("|<title>(.*)</title>(.*)<link>(.*)</link>|Uism", $items[1][$i], $regs, PREG_PATTERN_ORDER);
            $content .= '<a href="' . (htmlspecialchars($regs[3][0])) . '" target="_blank">' . (htmlspecialchars($regs[1][0])) . '</a>&nbsp;&nbsp;**&nbsp;&nbsp;';
        }
        $content .= '<a href="' . $homelink1 . '" target="_blank" >' . _HREADMORE . '</a>&nbsp;&nbsp;**&nbsp;&nbsp;';
        if (!$rdfsource2 == '') {
            $content .= '--------&nbsp;<b>' . $rdfname2 . '</b> NEWS&nbsp;----------&nbsp;&nbsp;**&nbsp;&nbsp;';
            ini_set('allow_url_fopen', 'On');
            $data = implode('', file($rdfsource2));
            ini_restore('allow_url_fopen');
            preg_match_all("|<item>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            if (count($items[1]) == 0) {
                preg_match_all("|<item .*>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            }
            for ($i = 0; $i < count($items[1]); $i++) {
                preg_match_all("|<title>(.*)</title>(.*)<link>(.*)</link>|Uism", $items[1][$i], $regs, PREG_PATTERN_ORDER);
                $content .= '<a href="' . (htmlspecialchars($regs[3][0])) . '" target="_blank">' . (htmlspecialchars($regs[1][0])) . '</a>&nbsp;&nbsp;**&nbsp;&nbsp;';
            }
            $content .= '<a href="' . $homelink2 . '" target="_blank">' . _HREADMORE . '</a>&nbsp;&nbsp;**&nbsp;&nbsp;';
        }
        if (!$rdfsource3 == '') {
            $content .= '--------&nbsp;<b>' . $rdfname3 . '</b> NEWS&nbsp;----------&nbsp;&nbsp;**&nbsp;&nbsp;';
            ini_set('allow_url_fopen', 'On');
            $data = implode('', file($rdfsource3));
            ini_restore('allow_url_fopen');
            preg_match_all("|<item>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            if (count($items[1]) == 0) {
                preg_match_all("|<item .*>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            }
            for ($i = 0; $i < count($items[1]); $i++) {
                preg_match_all("|<title>(.*)</title>(.*)<link>(.*)</link>|Uism", $items[1][$i], $regs, PREG_PATTERN_ORDER);
                $content .= '<a href="' . (htmlspecialchars($regs[3][0])) . '" target="_blank">' . (htmlspecialchars($regs[1][0])) . '</a>&nbsp;&nbsp;**&nbsp;&nbsp;';
            }
            $content .= '<a href="' . $homelink3 . '" target="_blank" >' . _HREADMORE . '</a>&nbsp;&nbsp;**&nbsp;&nbsp;';
        }
        if (!$rdfsource4 == "") {
            $content .= '--------&nbsp;<b>' . $rdfname4 . '</b> NEWS&nbsp;----------&nbsp;&nbsp;**&nbsp;&nbsp;';
            ini_set('allow_url_fopen', 'On');
            $data = implode('', file($rdfsource4));
            ini_restore('allow_url_fopen');
            preg_match_all("|<item>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            if (count($items[1]) == 0) {
                preg_match_all("|<item .*>(.*)</item>|Uism", $data, $items, PREG_PATTERN_ORDER);
            }
            for ($i = 0; $i < count($items[1]); $i++) {
                preg_match_all("|<title>(.*)</title>(.*)<link>(.*)</link>|Uism", $items[1][$i], $regs, PREG_PATTERN_ORDER);
                $content .= '<a href="' . (htmlspecialchars($regs[3][0])) . '" target="_blank">' . (htmlspecialchars($regs[1][0])) . '</a>&nbsp;&nbsp;**&nbsp;&nbsp;';
            }
            $content .= '<a href="' . $homelink4 . '" target="_blank" >' . _HREADMORE . '</a>&nbsp;&nbsp;**&nbsp;&nbsp;';
        }
    }
    if ($scrollen == 1) {
        $content .= '</marquee>';
    }
    $content .= '</div>';
    $content .= "\n" . '<!-- ' . $thisfile . ' output end -->' . "\n" . '<!-- RDF Block 2 (c) by jubilee -->' . "\n";
    ini_set('allow_url_fopen', 'On');
    $file = fopen($rdfcache, 'w');
    fwrite($file, $content);
    fclose($file);
    ini_restore('allow_url_fopen');
}
?>